Class | Sass::Selector::Negation
In: | lib/sass/selector.rb
Parent: | Simple

A negation pseudoclass selector (e.g. `:not(.foo)`).

### Methods

new to_a

### Attributes

selector | [R] | The selector to negate. @return [Selector]

### Public Class methods

new(selector)

@param [Selector] The selector to negate

[Source]

         # File lib/sass/selector.rb, line 343
    343:       def initialize(selector)
    344:         @selector = selector
    345:       end

### Public Instance methods

to_a()

@see Selector#to_a

[Source]

         # File lib/sass/selector.rb, line 348
    348:       def to_a
    349:         [":not("] + @selector.to_a + [")"]
    350:       end

[Validate]